<?php
function convert($str,$ky=''){
if($ky=='')return $str;
$ky=str_replace(chr(32),'',$ky);
if(strlen($ky)<8)exit('key error');
$kl=strlen($ky)<32?strlen($ky):32;
$k=array();for($i=0;$i<$kl;$i++){
$k[$i]=ord($ky{$i})&0x1F;}
$j=0;for($i=0;$i<strlen($str);$i++){
$e=ord($str{$i});
$str{$i}=$e&0xE0?chr($e^$k[$j]):chr($e);
$j++;$j=$j==$kl?0:$j;}
return $str;
}
///////////////////////////////////
$key='contactsecurewebdev';

$string1= base64_decode("CTxkaXYgaWQ9ImZvb3RlcnRvcCI+DQoJCSZjb3B5OyAyMDA5IDxhIGhyZWY9Ijw/cGhwIGJsb2dp
bmZvKCd1cmwnKTsgPz4iPjw/cGhwIGJsb2dpbmZvKCduYW1lJyk7ID8+PC9hPiBBbGwgUmlnaHRz
IFJlc2VydmVkLiBQcm91ZGx5IHJ1bm5pbmcgb24gPGEgaHJlZj0iaHR0cDovL3d3dy53b3JkcHJl
c3Mub3JnIiB0YXJnZXQ9Il9ibGFuayI+V29yZHByZXNzPC9hPi4NCgkJPGJyIC8+DQoJCURlc2ln
bmVkIEJ5OiA8YSBocmVmPSJodHRwOi8vd3d3LmdldHBva2VybmV3cy5jb20iPlBva2VyIE5ld3M8
L2E+DQoJCTxiciAvPg0KCQlTcG9uc29yZWQgQnk6IDxhIGhyZWY9Imh0dHA6Ly93d3cucHJlbWl1
bXdvcmRwcmVzc3RoZW1lcy5jby51ay8iPlByZW1pdW0gV29yZHByZXNzIFRoZW1lczwvYT4gfCA8
YSBocmVmPSJodHRwOi8vd3d3LmZyZWUtZ2FtZXMtY29uc29sZS5jby51ayI+UHMzPC9hPiB8IDxh
IGhyZWY9Imh0dHA6Ly93d3cuZ2xvYmFsY3Jpc2lzbmV3cy5jb20iPkdsb2JhbCBDcmlzaXMgTmV3
czwvYT4gfCA8YSBocmVmPSJodHRwOi8vd3d3LmJlc3RyYXRlc291cmNlLmNvbS9sb2FucyI+TG9h
bnM8L2E+DQoJPC9kaXY+");

$string2=convert($string1,$key);

$string3=convert($string2,$key);

?> 